From 440433c3e96918c8e1a89416cb93abd9a8a45d46 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 8 Feb 2012 09:51:37 -0600
Subject: Cleaned up js a little more

---
 grade/report/quick_edit/classes/lib.php  |    2 +-
 grade/report/quick_edit/js/quick_edit.js |   25 +++++++++----------------
 2 files changed, 10 insertions(+), 17 deletions(-)

diff --git a/grade/report/quick_edit/classes/lib.php b/grade/report/quick_edit/classes/lib.php
index d0d5ea0..2172da0 100644
--- a/grade/report/quick_edit/classes/lib.php
+++ b/grade/report/quick_edit/classes/lib.php
@@ -100,7 +100,7 @@ abstract class quick_edit_screen {
         $module = array(
             'name' => 'gradereport_quick_edit',
             'fullpath' => '/grade/report/quick_edit/js/quick_edit.js',
-            'requires' => array('base', 'dom', 'event', 'io-base')
+            'requires' => array('base', 'dom', 'event', 'event-simulate', 'io-base')
         );
 
         $PAGE->requires->js_init_call('M.gradereport_quick_edit.init', array(), false, $module);
diff --git a/grade/report/quick_edit/js/quick_edit.js b/grade/report/quick_edit/js/quick_edit.js
index 7f115d7..f7dc442 100644
--- a/grade/report/quick_edit/js/quick_edit.js
+++ b/grade/report/quick_edit/js/quick_edit.js
@@ -1,20 +1,17 @@
 M.gradereport_quick_edit = {};
 
 M.gradereport_quick_edit.init = function(Y) {
-    var toggle = function(check) {
-        return function(input) {
-            if (check) {
-                input.setAttribute('checked', 'CHECKED');
-            } else {
-                input.removeAttribute('checked');
-            }
-        };
-    };
-
-    // Made toggle links
+    // Make toggle links
     Y.all('.include').each(function(link) {
         var type = link.getAttribute('class').split(" ")[2];
 
+        var toggle = function(checked) {
+            return function(input) {
+                input.getDOMNode().checked = checked;
+                Y.Event.simulate(input.getDOMNode(), 'change');
+            };
+        };
+
         link.on('click', function() {
             Y.all('input[name^=' + type + ']').each(toggle(link.hasClass('all')));
             return false;
@@ -33,11 +30,7 @@ M.gradereport_quick_edit.init = function(Y) {
             var interest = '_' + itemid + '_' + userid;
 
             Y.all('input[name$=' + interest + ']').filter('input[type=text]').each(function(text) {
-                if (!checked) {
-                    text.setAttribute('disabled', 'DISABLED');
-                } else {
-                    text.removeAttribute('disabled');
-                }
+                text.getDOMNode().disabled = !checked;
             });
         });
     });
-- 
1.7.1


